Skip to content

Migration

All operations require authentication.

4 operationsv1/vps/{serviceName}
Agent setup

Retrieve information about the possible/ongoing migration from VPS 2020 to VPS 2025Production

GET
/1.0/vps/{serviceName}/migration2020

Returns the state of the migration of the VPS 2020 to VPS 2025, with the current and target plans, the available plans, the position in the queue and the date.

Path parameters

serviceName
required
string

Service name

Response

200VPS2020to2025successful operation
availablePlans
read-only
VPS2020to2025Plan[]

List of available plans to migrate

currentPlan
read-only
string

VPS current plan code

date
read-only
stringdate-time

Date of planned migration, null if not scheduled

position
read-only
integer

Position on the migration queue, null if not in queue

status
read-only
StatusEnum

All status a migration task can be in

ValuesavailabledonenotAvailableongoingplannedtoPlan
targetPlan
read-only
string

VPS target plan code after migration

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/migration2020 \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "availablePlans": [ { "planCode": "string" } ], "currentPlan": "string", "date": "2024-01-01T12:00:00Z", "position": 0, "status": "available", "targetPlan": "string"}

Request to be queued for migration from VPS 2020 to VPS 2025Production

POST
/1.0/vps/{serviceName}/migration2020

Queues the VPS 2020 for migration to VPS 2025 with the given target plan and returns the migration state.

Path parameters

serviceName
required
string

Service name

Request body (required)

plan
required
string

VPS target plan code

Response

200VPS2020to2025successful operation
availablePlans
read-only
VPS2020to2025Plan[]

List of available plans to migrate

currentPlan
read-only
string

VPS current plan code

date
read-only
stringdate-time

Date of planned migration, null if not scheduled

position
read-only
integer

Position on the migration queue, null if not in queue

status
read-only
StatusEnum

All status a migration task can be in

ValuesavailabledonenotAvailableongoingplannedtoPlan
targetPlan
read-only
string

VPS target plan code after migration

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/migration2020 \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "availablePlans": [ { "planCode": "string" } ], "currentPlan": "string", "date": "2024-01-01T12:00:00Z", "position": 0, "status": "available", "targetPlan": "string"}

Cancel the migration request from VPS 2020 to VPS 2025Production

DELETE
/1.0/vps/{serviceName}/migration2020

Cancels the pending migration request of the VPS 2020 to VPS 2025.

Path parameters

serviceName
required
string

Service name

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/migration2020 \
  -H "authorization: Bearer $OVH_TOKEN"

Update migration parameters for the VPS 2020 to VPS 2025 migrationProduction

PUT
/1.0/vps/{serviceName}/migration2020

Updates the target plan of the pending migration of the VPS 2020 to VPS 2025 and returns the migration state.

Path parameters

serviceName
required
string

Service name

Request body (required)

date
stringdate-time

Date of migration. Use current date to trigger migration as soon as possible.

Response

200VPS2020to2025successful operation
availablePlans
read-only
VPS2020to2025Plan[]

List of available plans to migrate

currentPlan
read-only
string

VPS current plan code

date
read-only
stringdate-time

Date of planned migration, null if not scheduled

position
read-only
integer

Position on the migration queue, null if not in queue

status
read-only
StatusEnum

All status a migration task can be in

ValuesavailabledonenotAvailableongoingplannedtoPlan
targetPlan
read-only
string

VPS target plan code after migration

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/migration2020 \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "availablePlans": [ { "planCode": "string" } ], "currentPlan": "string", "date": "2024-01-01T12:00:00Z", "position": 0, "status": "available", "targetPlan": "string"}